terraform {
  required_providers {
    esxi = {
      source = "registry.terraform.io/josenk/esxi"
    }
    # azurerm = {
    #   source  = "hashicorp/azurerm"
    #   version = "~> 4.27.0"
    # }
  }
  backend "pg" {
    conn_str = "postgres://terraform:tfbackend123@192.168.1.4/terraform_state?sslmode=disable"
  }
}

provider "esxi" {
  esxi_hostname = var.esxi_hostname
  esxi_hostport = var.esxi_hostport
  esxi_hostssl  = var.esxi_hostssl
  esxi_username = var.esxi_username
  esxi_password = var.esxi_password
}


# provider "azurerm" {
#   resource_provider_registrations = "none"
#   subscription_id                 = var.azure_subscriptionid
#   features {}
# }
